

    .diy_select { 
        width: 100%;
        padding: 0 8px;
        height: 48px;
        line-height: 48px;
        border: 1px solid #ddd;
        border-radius: 4px;
        position: relative;
        color: #333;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        background-color: #FFF;
        cursor: pointer;
        font-size: 14px;
      }
        .diy_select_txt {

            float: left;

            height: 100%;

            line-height: 46px;
            padding: 0 3px;

        }

        .diy_select,

        .diy_select_list { border: 1px solid #DFDFDF;        }

        .select-text {
            height: 100%;
            
            width: 100%;

        }

        .diy_select_txt {

            width: 80%;

        }

        .diy_select_txt,

        .diy_select_list li {
            overflow: hidden;
        }

        .diy_select_btn {
          position: absolute;
          top: 20px;
          right: 8px;
          display: block;
          border: 6px solid #999;
          border-left: 6px solid transparent;
          border-right: 6px solid transparent;
          border-bottom: 6px solid transparent;
        }

        .select-option {

            width: 100%;

        }

        .diy_select_list {
            max-height: 250px;
            position: absolute;
            top: 48px;
            left: -1px;
            z-index: 88888;
            width: 100%;

            display: none;
            border-top:none;
            background: #fff;

            overflow: auto;

        }

        .diy_select_list li {
           padding-left: 8px;
            list-style: none;

            height: 36px;

            line-height: 36px;

            cursor: default;

            background: #fff;
        }

        .diy_select_list li.focus {
            margin: 0;
            cursor: pointer;
            color: #1667ff;

        }

        section {

            margin-top: 20%;

            margin-left: 20%;

        }